#!/bin/bash
#
# This script configures (tested with osx 10.9.2):
#
# LaunchD	: For running scripts hourly
# Sync-current	: Checks if a user has a sync script installed and only then runs sync-homefolder.sh
# Rsync		: sync-homefolder.sh script for automatically syncing homefolder with a local folder
#
# Marc Kusters, 15 mei 2014
#


CRONJOB=TRUE		# Install LaunchD script
HOMEFOLDER=TRUE		# Creates a local homefolder in /data/SolisID/homefolder
USERID=$(whoami)	# SolisID
SYNCSH=TRUE		# Install shellscript or not
SYNCNOW=TRUE		# Syncs your files immediatly to the local homefolder

# 
# This adds a hourly job to the system to sync the homefolder
# Copy com.user.sync-homefolder.plist
#
if $CRONJOB; then
  if [ ! -f /Library/LaunchAgents/com.user.sync-homefolder.plist ]; then
   sudo cp com.user.sync-homefolder.plist /Library/LaunchAgents/com.user.sync-homefolder.plist
  fi
fi

#
# Create /data/$USERID/homefolder
#
if $HOMEFOLDER; then
  if [ ! -d /data/"$USERID" ]; then
    mkdir /data/$USERID
    echo Created /data/"$USERID"
  fi
  if [ -d /data/"$USERID" ]; then
    if [ ! -d /data/"$USERID"/homefolder ]; then
      mkdir /data/$USERID/homefolder
      echo Created /data/"$USERID"/homefolder
    fi
  fi
fi

#
# Copies the syncscript to the correct directory 
#
# Create /usr/local/sbin
#
if $SYNCSH; then
  if [ ! -d /usr/local/sbin ]; then
    sudo mkdir /usr/local/sbin
    echo Created /usr/local/sbin
  fi
  if [ -d /usr/local/sbin ]; then
#
# Create personal sync-script folder
#
    if [ -d /usr/local/sbin ]; then
      if [ ! -f /usr/local/sbin/sync-current.sh ]; then
        sudo cp sync-current.sh /usr/local/sbin/sync-current.sh
      fi
      if [ ! -d /usr/local/sbin/"$USERID" ]; then
        echo Created /usr/local/sbin/"$USERID"
        sudo mkdir /usr/local/sbin/$USERID
      fi
    fi
    if [ -d /usr/local/sbin/"$USERID" ]; then
#
# Create /usr/local/sbin/sync-homefolder.sh
# Create symlink /usr/local/sbin/$USERID/sync-homefolder.sh 
#
      if [ ! -f /usr/local/sbin/sync-homefolder.sh ]; then
        sudo cp sync-homefolder.sh /usr/local/sbin/sync-homefolder.sh
      fi
      if [ ! -f /usr/local/sbin/"$USERID"/sync-homefolder.sh ]; then
        sudo ln -s /usr/local/sbin/sync-homefolder.sh /usr/local/sbin/$USERID/sync-homefolder.sh
      fi
    fi
  fi
fi

#
# Sync immediately 
#
if $SYNCNOW; then
  ./sync-homefolder.sh
fi
