#!/bin/bash
#
# This script runs (tested with osx 10.9.2):
#
# Rsync	: Which syncs the homefolder of a user with a local folder
#
# Marc Kusters, ICT-Beta, 15 mei 2014
#

USERID=$(whoami)


#
# Check if HOME is mounted
#
if mount | grep "$HOME";then
#
# Check if filesystem is up
#
  if [ -f ~/.bashrc ]; then
#
# Check if syncfolder exist and sync
#
    if [ ! -d /data/"$USERID" ]; then
      echo  Userfolder is not present creating /data/"$USERID"
      mkdir /data/$USERID
    fi
    if [ -d /data/"$USERID" ]; then
      if [ ! -d /data/"$USERID"/homefolder ]; then
        echo Syncfolder is not present creating /data/"$USERID"/homefolder
        mkdir /data/$USERID/homefolder
      fi
      if [ -d /data/"$USERID"/homefolder ]; then
        rsync -avr /Users/"$USERID"/ /data/"$USERID"/homefolder
      else
        echo Syncfolder is not present, skipping sync.
      fi
    fi
  else
    echo Filesystem not up, skipping sync.
  fi
else
  echo Homefolder not mounted, skipping sync.
fi
